package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 题库管理对象 td_question
 * 
 * @author admin
 * @date 2024-04-07
 */
public class TdQuestion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long ID;

    /** 题库类型 */
    @Excel(name = "题库类型", readConverterExp = "1=专业题库,2=基础题库")
    private Long TYPEID;

    /** 问题描述 */
    @Excel(name = "问题描述")
    private String qSubject;

    /** 选项A */
    @Excel(name = "选项A")
    private String OPTIONA;

    /** 选项B */
    @Excel(name = "选项B")
    private String OPTIONB;

    /** 选项C */
    @Excel(name = "选项C")
    private String OPTIONC;

    /** 选项D */
    @Excel(name = "选项D")
    private String OPTIOND;

    /** 答案 */
    @Excel(name = "答案")
    private String NOTE;

    /** 创建人 */
    @Excel(name = "创建人")
    private String CREATEPERSON;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date CREATEDATE;

    public void setID(Long ID) 
    {
        this.ID = ID;
    }

    public Long getID() 
    {
        return ID;
    }
    public void setTYPEID(Long TYPEID) 
    {
        this.TYPEID = TYPEID;
    }

    public Long getTYPEID() 
    {
        return TYPEID;
    }
    public void setqSubject(String qSubject) 
    {
        this.qSubject = qSubject;
    }

    public String getqSubject() 
    {
        return qSubject;
    }
    public void setOPTIONA(String OPTIONA) 
    {
        this.OPTIONA = OPTIONA;
    }

    public String getOPTIONA() 
    {
        return OPTIONA;
    }
    public void setOPTIONB(String OPTIONB) 
    {
        this.OPTIONB = OPTIONB;
    }

    public String getOPTIONB() 
    {
        return OPTIONB;
    }
    public void setOPTIONC(String OPTIONC) 
    {
        this.OPTIONC = OPTIONC;
    }

    public String getOPTIONC() 
    {
        return OPTIONC;
    }
    public void setOPTIOND(String OPTIOND) 
    {
        this.OPTIOND = OPTIOND;
    }

    public String getOPTIOND() 
    {
        return OPTIOND;
    }
    public void setNOTE(String NOTE) 
    {
        this.NOTE = NOTE;
    }

    public String getNOTE() 
    {
        return NOTE;
    }
    public void setCREATEPERSON(String CREATEPERSON) 
    {
        this.CREATEPERSON = CREATEPERSON;
    }

    public String getCREATEPERSON() 
    {
        return CREATEPERSON;
    }
    public void setCREATEDATE(Date CREATEDATE) 
    {
        this.CREATEDATE = CREATEDATE;
    }

    public Date getCREATEDATE() 
    {
        return CREATEDATE;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("TYPEID", getTYPEID())
            .append("qSubject", getqSubject())
            .append("OPTIONA", getOPTIONA())
            .append("OPTIONB", getOPTIONB())
            .append("OPTIONC", getOPTIONC())
            .append("OPTIOND", getOPTIOND())
            .append("NOTE", getNOTE())
            .append("CREATEPERSON", getCREATEPERSON())
            .append("CREATEDATE", getCREATEDATE())
            .toString();
    }
}
